import SR6BaseItemData from '../base-item-data.mjs';

export default class SR6QualityItemData extends SR6BaseItemData {
    static defineSchema() {
        const fields = foundry.data.fields;
        return {
            ...super.defineSchema(),
            category: new fields.StringField({ initial: "" }),
            level:    new fields.BooleanField({ initial: false }),
            value:    new fields.NumberField({ initial: 0 }),
            explain:  new fields.StringField({ initial: "" }),
            modifier: new fields.ArrayField(new fields.StringField())
        };
    }
}